SMultipleDataEntry (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Class SMultipleDataEntry

- java.lang.Object
- - com.sleepycat.client.SMultipleDataEntry

- All Implemented Interfaces:
    SDatabaseEntryBase

      public class SMultipleDataEntry
      extends java.lang.Object
      implements SDatabaseEntryBase

  A container that holds multiple data `SDatabaseEntry`s returned by a single `SDatabase` or `SCursor` get call.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMultipleDataEntry()` Construct a SMultipleDataEntry with no data entries.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(byte[] data)` Append an entry to the bulk buffer.
    `int` | `getBatchSize()` Return the amount of data to be returned in a single get() call.
    `boolean` | `next(SDatabaseEntry data)` Get the next data element in the returned set.
    `void` | `setBatchSize(int batchSize)` When used as an output argument to a database or cursor get() call, set the amount of data (in total bytes) to be returned.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMultipleDataEntry

          public SMultipleDataEntry()

      Construct a SMultipleDataEntry with no data entries.

  - ### Method Detail

    - #### getBatchSize

          public int getBatchSize()

      Return the amount of data to be returned in a single get() call.
      Returns:
        the amount of data to be returned in a single get() call.

    - #### setBatchSize

          public void setBatchSize(int batchSize)

      When used as an output argument to a database or cursor get() call, set the amount of data (in total bytes) to be returned.

      This method is only advisory. The exact amount of data returned may be more or less than the amount specified.

      Parameters:
        `batchSize` - the amount of data to be returned in a single get() call

    - #### append

          public void append(byte[] data)

      Append an entry to the bulk buffer.
      Parameters:
        `data` - the record to be appended

    - #### next

          public boolean next(SDatabaseEntry data)

      Get the next data element in the returned set. This method may only be called after a successful call to a `SDatabase` or `SCursor` get method with this object as the data parameter.

      When used with the Queue and Recno access methods, data.getData() will return null for deleted records

      Parameters:
        `data` - an entry that is set to refer to the next data element in the returned set
      Returns:
        indicates whether a value was found. A return of false indicates that the end of the set was reached.

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.